part of 'test_set_control_bloc.dart';

abstract class TestSetControlEvent extends Equatable {
  const TestSetControlEvent();

  @override
  List<Object> get props => [];
}

class TestSetControlLoad extends TestSetControlEvent {
  const TestSetControlLoad();
}

class TestSetControlQuantityChange extends TestSetControlEvent {
  final double quantity;
  const TestSetControlQuantityChange({required this.quantity});

  @override
  List<Object> get props => [quantity];
}

class TestSetControlUnitQuantityChange extends TestSetControlEvent {
  final double quantity;
  const TestSetControlUnitQuantityChange({required this.quantity});

  @override
  List<Object> get props => [quantity];
}

class TestSetControlSubmit extends TestSetControlEvent {
  const TestSetControlSubmit();
}
